# Uses of Interface
org.eclipse.gef.fx.nodes.IConnectionRouter

Packages that use IConnectionRouter
Package
Description
org.eclipse.gef.fx.nodes
This package provides: an adaptation of an `IGeometry` to `Node`: `GeometryNode` a connection abstraction that is based on `IAnchor`: `Connection` a visual to display an image which is overlayed by another image on mouse hover: `HoverOverlayImageView` a visual providing a scrollable infinite canvas with a background grid: `InfiniteCanvas`

## Uses of IConnectionRouter in org.eclipse.gef.fx.nodes

Classes in org.eclipse.gef.fx.nodes that implement IConnectionRouter
Modifier and Type
Class
Description
`class`
`AbstractRouter`
Abstract base class for `IConnectionRouter`s implementing a routing strategy that can be specialized by subclasses: Remove anchors previously inserted by the router.
`class`
`OrthogonalRouter`
An `IConnectionRouter` that interprets the `Connection` control points as way points and adjusts the way points (if necessary) so that the `Connection` is routed orthogonally.
`class`
`StraightRouter`
The `StraightRouter` is an `IConnectionRouter` that leaves the `Connection`'s control points untouched and only provides reference points for the `Connection`'s anchors.
Methods in org.eclipse.gef.fx.nodes that return IConnectionRouter
Modifier and Type
Method
Description
`IConnectionRouter`
Connection.`getRouter()`
Returns the `IConnectionRouter` of this `Connection`.
Methods in org.eclipse.gef.fx.nodes that return types with arguments of type IConnectionRouter
Modifier and Type
Method
Description
`javafx.beans.property.ObjectProperty<IConnectionRouter>`
Connection.`routerProperty()`
Returns a writable property containing the `IConnectionRouter` of this connection.
Methods in org.eclipse.gef.fx.nodes with parameters of type IConnectionRouter
Modifier and Type
Method
Description
`void`
Connection.`setRouter(IConnectionRouter router)`
Sets the `IConnectionRouter` of this `Connection` to the given value.